Bug 1540579 - Deployment roles are missing on CFME 5.8.3.2 over RHOS 12 [NEEDINFO]
Summary: Deployment roles are missing on CFME 5.8.3.2 over RHOS 12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Petr Blaho
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On: 1573893
Blocks: 1541700
TreeView+ depends on / blocked
 
Reported: 2018-01-31 12:55 UTC by Jadh
Modified: 2018-06-25 14:17 UTC (History)
13 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 14:17:13 UTC
Category: ---
Cloudforms Team: Openstack
jprause: needinfo? (pblaho)


Attachments (Terms of Use)
evm.log (2.56 MB, text/plain)
2018-01-31 12:55 UTC, Jadh
no flags Details
missing deployment role (108.80 KB, image/png)
2018-02-01 07:08 UTC, Jadh
no flags Details
existing deployment role (111.72 KB, image/png)
2018-02-01 07:09 UTC, Jadh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17:41 UTC

Description Jadh 2018-01-31 12:55:15 UTC
Created attachment 1388945 [details]
evm.log

Description of problem:
Deployment roles are missing under Compute > Infrastructure.
Infra provider nodes appears without relevant role like controller, compute etc.

Version-Release number of selected component (if applicable):
CFME 5.8.3.2 over RHOS 12

How reproducible:
Always

Steps to Reproduce:
1. Deploy RHOS 12
2. Install CFME 5.8.3.2
3. Go to Compute > Infrastructure


Actual results:
Deployment role does not appear under Compute > Infrastructure and as part of nodes names

Expected results:
Deployment role should appear under Compute > Infrastructure and as part of nodes names

Additional info:

Comment 5 Jadh 2018-02-01 07:08:31 UTC
Created attachment 1389365 [details]
missing deployment role

Comment 6 Jadh 2018-02-01 07:09:08 UTC
Created attachment 1389366 [details]
existing deployment role

Comment 8 Jadh 2018-02-01 21:07:31 UTC
yes, it works on RHOS 11 for sure

Comment 9 Petr Blaho 2018-03-07 14:43:33 UTC
WIP PR upstream - https://github.com/ManageIQ/manageiq/pull/17101

When I rerecord VCR cassettes for tests I will remove WIP tag.

Comment 10 Petr Blaho 2018-04-04 13:13:36 UTC
The PR is no longer WIP (cassettes rerecorded).

Comment 11 Petr Blaho 2018-04-10 13:02:09 UTC
Merged into Fine branch upstream in https://github.com/ManageIQ/manageiq/commit/ec4747a9bcb1a9f954303ee8fc4b87d75aa4b6c1

Comment 12 Ido Ovadia 2018-05-02 13:14:50 UTC
Failed QA
=========
https://bugzilla.redhat.com/show_bug.cgi?id=1573893

Comment 20 Ido Ovadia 2018-05-12 21:26:16 UTC
Verified
========

CFME 5.8.4.2

Retest it with on fresh deployment: 
RHOS 12 SSL HA: Undercloud, 3*Controller, 2*Compute

Refresh finished successfully and Deployment Roles appears

Comment 22 errata-xmlrpc 2018-06-25 14:17:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.